## sdcv 0.5.0~beta2

=== CMakeLists.txt ===
project(sdcv)

# Older versions have a different signature for CMAKE_MINIMUM_REQUIRED,
# check it manually just to make sure
if (${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION} LESS 2.8)
  message(FATAL_ERROR "${PROJECT_NAME} requires at least CMake v2.8."
		" You are running v${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}."
		" Please upgrade." )
endif(${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION} LESS 2.8)

# If we get this far, use the modern signature.  This will also cause newer
# CMake versions to try to be backwards-compatible with the desired version
cmake_minimum_required(VERSION 2.8 FATAL_ERROR)
cmake_policy(VERSION 2.8)

set(ZLIB_FIND_REQUIRED True)
include(FindZLIB)

set(GLIB2_REQ "'glib-2.0 >= 2.6.1'")
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")
include("${CMAKE_CURRENT_SOURCE_DIR}/cmake/FindGLIB2.cmake")

if (NOT GLIB2_FOUND)
	message(FATAL_ERROR "sdcv require ${GLIB2_REQ}, "
		"make sure that you install it")
endif()

find_path(READLINE_INCLUDE_DIR readline/readline.h)
find_library(READLINE_LIBRARY NAMES readline) 
if (READLINE_INCLUDE_DIR AND READLINE_LIBRARY)
  set(WITH_READLINE TRUE)
endif ()

option(ENABLE_NLS "Enable NLS support" True)

set(sdcv_SRCS
  src/sdcv.cpp
  src/readline.cpp
  src/readline.hpp
  src/libwrapper.cpp 
  src/libwrapper.hpp
  src/utils.cpp 
  src/utils.hpp

  src/lib/lib.cpp
  src/lib/lib.hpp
  src/lib/dictziplib.cpp
  src/lib/dictziplib.hpp  
  src/lib/distance.cpp 
  src/lib/distance.h
  src/lib/mapfile.hpp
  src/lib/file.hpp
  src/lib/file.cpp
)

if (ENABLE_NLS)
  find_package(GettextTools REQUIRED)
  set(gettext_stockDir "${CMAKE_CURRENT_SOURCE_DIR}/po")
  set(gettext_langDir  "${CMAKE_CURRENT_BINARY_DIR}/lang")
  set(gettext_outDir   "${CMAKE_CURRENT_BINARY_DIR}/locale")
  set(GETTEXT_TRANSLATIONS_PATH "${CMAKE_INSTALL_PREFIX}/share/locale")
  gettext_make_target("lang"
    HIERARCHY "{1}/{2}/{3}/{4}.mo"
    KEYWORDS  "_"
    DOMAIN    "sdcv"
    STOCK_DIR ${gettext_stockDir}
    LANG_DIR  ${gettext_langDir}
    OUT_DIR   ${gettext_outDir}
    SOURCE    ${sdcv_SRCS})

  list(APPEND makeCleanFiles ${gettext_outDir})
endif ()

include(CheckFunctionExists)
check_function_exists(mmap HAVE_MMAP)

include(CheckIncludeFile)
check_include_file(locale.h HAVE_LOCALE_H)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake
	${CMAKE_CURRENT_BINARY_DIR}/config.h)


include_directories(
	${ZLIB_INCLUDE_DIR}
	${GLIB2_INCLUDE_DIRS}
	${CMAKE_CURRENT_SOURCE_DIR}/src/lib
	${CMAKE_CURRENT_BINARY_DIR}
)

#
# Packing stuff
#
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "console version of StarDict program")
set(CPACK_PACKAGE_VENDOR "Evgeniy Dushistov <dushistov@mail.ru>")
set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README.org")
set(CPACK_PACKAGE_VERSION_MAJOR "0")
set(CPACK_PACKAGE_VERSION_MINOR "5")
set(CPACK_PACKAGE_VERSION_PATCH "0-beta2")

set(sdcv_VERSION
	"${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")

add_definitions(-DVERSION="${sdcv_VERSION}" -DHAVE_CONFIG_H "-std=c++11")

add_executable(sdcv ${sdcv_SRCS})

target_link_libraries(sdcv
  ${GLIB2_LIBRARIES}
  ${ZLIB_LIBRARIES}
  ${READLINE_LIBRARY}
)
if (ENABLE_NLS)
set_directory_properties(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES "locale")
endif ()

include(CPack)

INSTALL(TARGETS sdcv DESTINATION "bin")
INSTALL(FILES doc/sdcv.1 DESTINATION "share/man/man1")
INSTALL(FILES doc/uk/sdcv.1 DESTINATION "share/man/uk/man1")

if (ENABLE_NLS)
  INSTALL(DIRECTORY "${gettext_outDir}" DESTINATION "share")
endif ()

option(BUILD_TESTS "Enable automatic testing" False)
if (BUILD_TESTS)
  find_program(SHELL_CMD NAMES sh bash
    DOC "Shell scripts interpretator command")
  message(STATUS "Build tests")
  enable_testing()# Force "make test" to works

  get_target_property(sdcv_path sdcv LOCATION)
  message(STATUS "path ${sdcv_path}")
  string(REGEX REPLACE "\\$\\(.*\\)" "\${CTEST_CONFIGURATION_TYPE}"
    sdcv_path "${sdcv_path}")

  macro(add_sdcv_shell_test test_name)
    add_test(${test_name} "${SHELL_CMD}" "${CMAKE_CURRENT_SOURCE_DIR}/tests/${test_name}" "${sdcv_path}" "${CMAKE_CURRENT_SOURCE_DIR}/tests")
  endmacro()

  add_sdcv_shell_test(t_list)
  add_sdcv_shell_test(t_use)
  add_sdcv_shell_test(t_interactive)
  add_sdcv_shell_test(t_utf8output)
  add_sdcv_shell_test(t_utf8input)
  add_sdcv_shell_test(t_datadir)

endif ()

## sdcv 0.4.2

=== debian/changelog ===
sdcv (0.4.2-16) unstable; urgency=low

  * Bump standards to 3.9.3.
  * Add French translation.
  * Adjust debian/copyright to current copyright format.
  * Update patch headers to match DEP-3.
  * Build with dpkg build flags.

 -- Michal Čihař <nijel@debian.org>  Tue, 26 Jun 2012 13:12:55 +0200

sdcv (0.4.2-15) unstable; urgency=low

  * Update gettext requirement to get newer m4 file (Closes: #572509).

 -- Michal Čihař <nijel@debian.org>  Thu, 04 Mar 2010 20:07:02 +0100

sdcv (0.4.2-14) unstable; urgency=low

  * Build depend on autopoint (Closes: #572480).
  * Bump standards to 3.8.4.

 -- Michal Čihař <nijel@debian.org>  Thu, 04 Mar 2010 16:40:52 +0100

sdcv (0.4.2-13) unstable; urgency=low

  * Convert to 3.0 (quilt) source format.
  * Simplify debian/rules.
  * Fix typo in man page.

 -- Michal Čihař <nijel@debian.org>  Sun, 03 Jan 2010 14:08:36 +0100

sdcv (0.4.2-12) unstable; urgency=low

  * Build depend on libreadline-dev only, no libreadline5-dev 
    (Closes: #553848).
  * Bump standards to 3.8.3.

 -- Michal Čihař <nijel@debian.org>  Mon, 02 Nov 2009 08:47:06 +0100

sdcv (0.4.2-11) unstable; urgency=low

  * Simplify debian/rules by using overrides, --with-quilt and debian/clean.
  * Regenerate autoconf files during build (Closes: #534814).

 -- Michal Čihař <nijel@debian.org>  Mon, 29 Jun 2009 10:25:24 +0200

sdcv (0.4.2-10) unstable; urgency=low

  * Build depend on autotools-dev to update config.{sub,guess}.
  * Bump standards to 3.8.2 (no changes needed).
  * Avoid duplicating section in debian/control.
  * Point to GPL-2 in debian/copyright.
  * Improve description a bit.

 -- Michal Čihař <nijel@debian.org>  Wed, 24 Jun 2009 11:37:20 +0200

sdcv (0.4.2-9) unstable; urgency=low

  * Switch Vcs-Browser to viewsvn.
  * Fix FTBFS with GCC 4.4 (Closes: #505344).
  * Document all Debian patches.
  * Add ${misc:Depends} to deps.

 -- Michal Čihař <nijel@debian.org>  Fri, 19 Dec 2008 14:09:09 +0100

sdcv (0.4.2-8) unstable; urgency=low

  * Fix FTBFS if built twice (Closes: #503031).
  * Unfuzzy string in Slovak translation (caused by another patch and the
    translation is not really fuzzy).

 -- Michal Čihař <nijel@debian.org>  Wed, 22 Oct 2008 08:02:56 +0200

sdcv (0.4.2-7) unstable; urgency=low

  * Properly typecast to avoid problems with signed char.
  * Fix format chars to avoid possible problems on 64-bit arches.
  * Properly handle gzread return values.

 -- Michal Čihař <nijel@debian.org>  Mon, 20 Oct 2008 11:22:28 +0200

sdcv (0.4.2-6) unstable; urgency=low

  * Fix unalligned access to internal buffer while reading dictionary index
    (Closes: #500921).

 -- Michal Čihař <nijel@debian.org>  Mon, 06 Oct 2008 14:07:45 +0200

sdcv (0.4.2-5) unstable; urgency=low

  * Make sdcv accept $HOME as home directory (Closes: #500921).

 -- Michal Čihař <nijel@debian.org>  Fri, 03 Oct 2008 09:18:52 +0200

sdcv (0.4.2-4) unstable; urgency=low

  * Create fake home directory to make testing possible (Closes: #500318).

 -- Michal Čihař <nijel@debian.org>  Mon, 29 Sep 2008 08:46:18 +0200

sdcv (0.4.2-3) unstable; urgency=low

  * New maintainer (Closes: #480557).
  * Maintain package in collab-maint, add Vcs-* headers.
  * Convert to debhelper 7.
  * Use quilt to apply all patches.
  * Acknowledge NMUs, thanks to all who helped (Closes: #470985, #474819,
    #450040, #417687, #441754).
  * Fix running of testsuite with dash as /bin/sh.
  * Added Czech translation.
  * Run explicitely update-gmo to regenerate translations.
  * Fix typo in english translation.
  * Fix errors in uk man page.
  * All patches were reported upstream.
  * Update to standards 3.8.0.
  * Use machine-interpretable debian/copyright.

 -- Michal Čihař <nijel@debian.org>  Wed, 24 Sep 2008 11:25:30 +0200

sdcv (0.4.2-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * FTBFS: libwrapper.cpp:55: error: 'strchr' was not declared in this
    scope (Closes: #474819)
  * debian/control:
    - Bump Standards-Version to 3.7.3.
    - Use Homepage: field for upstream URL.
  * Update debian/watch file to use SourceForge-specific syntax (Closes:
    450040)

 -- Chris Lamb <chris@chris-lamb.co.uk>  Sat, 12 Apr 2008 01:10:51 +0100

sdcv (0.4.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC 4.3 (Closes: #417687).
  * Update Slovak translation (Closes: #441754).

 -- Luk Claes <luk@debian.org>  Fri, 14 Mar 2008 22:22:31 +0000

sdcv (0.4.2-2) unstable; urgency=low

  * Apply patch for AMD64 build by Matej Vela <vela@debian.org> 
    (Closes: #369702)
  * Apply patch for pango markup support (Closes: #365324)

 -- Cai Qian <caiqian@debian.org>  Sat, 10 June 2006 19:33:09 +0100

sdcv (0.4.2-1) unstable; urgency=low

  * New upstream release
  * Modify watch file
  * Use new policy

 -- Cai Qian <caiqian@debian.org>  Wed, 31 May 2006 00:57:09 +0100

sdcv (0.4-3) unstable; urgency=low

  * Correct watch file format
  * Add readline option in debian/rules

 -- Cai Qian <caiqian@debian.org>  Sat, 22 Oct 2005 20:08:00 +0100

sdcv (0.4-2) unstable; urgency=low

  * Build with libreadline support
  * Add watch file

 -- Cai Qian <caiqian@debian.org>  Thu, 20 Oct 2005 21:10:00 +0100

sdcv (0.4-1) unstable; urgency=low

  * New upstream release
  * SDCV did not provide libsdcv and libsdcv-dev any more 
  * Corrected FSF address

 -- Cai Qian <caiqian@debian.org>  Tue, 27 Sep 2005 13:03:00 +0100

sdcv (0.3.4-1) unstable; urgency=low

  * New upstream release.
  * Now SDCV is using autotools build system.
  * Split SDCV into sdcv, libsdcv3 and libsdcv-dev.
  * Add Chinese po file.
  * Sponsored by Brian Nelson.

 -- Cai Qian <caiqian@gnome.org>  Mon, 21 Jan 2005 09:49:03 +0800

sdcv (0.1-1) unstable; urgency=low

  * Initial Release. (Closes: #250532)
  * Sponsored by Brian Nelson <pyro@debian.org>

 -- Cai Qian <caiqian@gnome.org>  Mon, 15 Nov 2004 23:12:29 +0800

=== debian/control ===
Source: sdcv
Priority: optional
Section: utils
Maintainer: Michal Čihař <nijel@debian.org>
Build-Depends: debhelper (>= 7.0.50), 
    dpkg-dev (>= 1.16.1~),
    gettext, 
    zlib1g-dev, 
    pkg-config, 
    libglib2.0-dev, 
    libreadline-dev, 
    autotools-dev,
    autoconf,
    autopoint,
    automake
Standards-Version: 3.9.3
Homepage: http://sdcv.sourceforge.net/
Vcs-Browser: http://svn.debian.org/viewsvn/collab-maint/deb-maint/sdcv/trunk/
Vcs-Svn: svn://svn.debian.org/collab-maint/deb-maint/sdcv/trunk/

Package: sdcv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: StarDict Console Version
 sdcv is simple text-based utility for work with dictionaries in StarDict's
 format.
 .
 It supports command line interaction as well as interactive mode using
 readline.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

override_dh_auto_configure:
	autoreconf -f -i
	dh_auto_configure -- --with-readline
	$(MAKE) -C po update-gmo

override_dh_auto_test:
	mkdir -p tmphome/.stardict/dic
	HOME=`pwd`/tmphome/; export HOME; $(MAKE) check

%:
	dh $@

=== debian/watch ===
version=3
http://sf.net/sdcv/sdcv-(.*)\.tar\.bz2

## sdcv 0.4.2-1-maemo1

=== debian/changelog ===
sdcv (0.4.2-1-maemo1) unstable; urgency=low

  * Fix build depends

 -- Christian Ratzenhofer <christian_ratzenhofer@yahoo.de>  Fri,  4 Nov 2011 14:22:00 +0100

sdcv (0.4.2-1-maemo0) unstable; urgency=low

  * Initial release for Maemo 5 (Nokia N900)

 -- Christian Ratzenhofer <christian_ratzenhofer@yahoo.de>  Fri,  4 Nov 2011 13:10:48 +0100

=== debian/control ===
Source: sdcv
Section: user/tools
Priority: extra
Maintainer: Christian Ratzenhofer <christian_ratzenhofer@yahoo.de>
Build-Depends: debhelper (>= 5), autotools-dev, libglib2.0-dev, zlib1g-dev
Standards-Version: 3.7.2

Package: sdcv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: console version of StarDict program
 Homepage: http://sdcv.sourceforge.net/
 does not contain any dictionaries!
XB-Maemo-Display-Name: sdcv StarDict console
XSBC-Bugtracker: mailto:christian_ratzenhofer@yahoo.de
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0
 d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAACYtJREFUeNrUWkurZUcVXvXY
 59zbtyXpICEiaFrJQFDo6CDOHAi2UQdOFBw4CAqCDhU0DuIPEBtCRupIBxk4
 MBMHgpIMnChE1OAD2uADEkFpUM9z710vv7Wq6ty6u09f0+nb3Tcb6u7Hqb33
 96361qq1al/1vscfp+Ac3fjH6+S9v3owP/iYMfqyMaabz2ax62wwtnPDOPgY
 ok8pxpQoKKW9UhRC8IFI+UQ4ds7HFKLW1mujffDexRi9MXiGMQG34uborbEO
 515pckopZ7RxuN8RyflgtBrxfKeNGlNMY0ppxItGUnowSm3Rr7ezubfdnCwe
 SuMw2EsPPvi9x957+SlrNAXvCCTIWkMKvQP6JEYdorQoG6gkUIpo+SgkStyV
 SQb0RwOolACOQdBIlAaQ7XGtT4q2lGhDDCjRGsZYg8Qa71sR75WSPe5Z411o
 doPfN1rrDs/q8MaVVt5Z5T1dnM++8sEPXHnqXzduxOuv/iVutlsGKeCxJbyE
 jxN2uJc3FfkcJzHviBlG5sq/kUq8D4qvyzWKpQ/fzn94H/Mzub88L0hfJc/w
 OPc8Ijh3is8xUhqIMZr+woULscMwRmjCwoDdY+959xcXiwX9/KVfRAyV0gYD
 xTBVeY2mjJuvAR3+aMrgjPRQKtVzrRSDwE1Kl1uEuBADKCX34g5VzKLk/ihk
 lQBl8CKt3IQA5MMEICttPIY5XDw6glSVspv15tGLRxcu/+rl3/D4q9lsJtjl
 1WyTA7TxBKRYfjZEO2IMTufRosxdVcoCPvEIQTaBrYlLjuWFH0Z0Y433LC3Y
 occ5a3ybz7EvmjdaD9IfvudG57d6G4E12fmse+d6tT76z38XcC6TwcOdEtvj
 EGL7jif/fU3x1yaDmWejNuCpEI4ilZT3AFPAwifgA9gPuGMIFAESfqDUBpw2
 inWuVNY+6z4l7NkX1ApWgI/QlvuD/qDZoWMEeRskaODBlmJ4oB9HGoYxycCy
 1R9OavYtT92nweIRotnn4ZkvBhqfRvc/oM8MUJIQqC00zeemWL/FutRnq8Jp
 uam0BtA1yC5x8xLHS7xa9sREEjsy+ogTg4CiASQGpZVDjBMJcTDEEajEeDSM
 DjxCHm/s5s96mn0W0ekF3PZ2eSR1n0qk3+/U5koXaQU9G6q6nwCXcMgWF/CF
 QAVfQHGESSsmQHTcUiYi0QfH6K8YfF8iGEASnBjagPGgp4SoTdra7tAhEnFc
 ZIdVhxD3h3GI1/afgcV/B/pfsnG4plP8pU7q0s76twTPsbyAL3quwKUJUIBa
 4HiBvrLHNd6DFI9MqpbvAWsANifPR2iGUnA6JDiwRAcLz547FwQThihxpE5/
 Bol3YSS+G0g/iuuPQLxftUHEb9HRngDvmv0O/EQ2FfyqtTg3oBGrcyvgNzje
 8nMYKT8XGANvmGhzGG68DzIKc4fJNAmDHC+Gr1kKf1Q0/0Kk7qOJDl/y+vAn
 mDyfwOj5E1av4MVJG/CnAW8tn7XfWL6A7xvwwO134GmycUye8+y6+9FCG7/V
 kbW+eRJzxcsYlb+q1H0yqQs/852+Ehm2b2QzNpavkmkJTMHv9F4IrCqBBvzY
 gOe5aS94IYDOMw7R0oH/HqRkPhJJfyiS+yl+/j3i2FXr+meQ+7wN/J5MWlKE
 4xFgy/eNbE61fNF7Bc9EBDzA7sDnWRfx3rlTwYu9Met2nNmIvj1m0YeSPXzR
 6fRPIHiii3LrDO49pzyNDSecdtij+XUhsdqneb7GwIvmN9wYPPb8nLHMwCyZ
 WHCdull0xghIHgPBk0l/V3H8tlHzrwd9dN1ZhmA/Hg/0OyD26xTdj2Eplo1T
 rNFW8xm8Bngrx8tCYNGCLwR2Dgvw/RQ8W/6NgBcCmH2ZgJd8RkmESeM3kW+8
 orS9GpX9RNTxFRXG57RzP9Tr9Lra6IcxIg8kg/s4XYXXgHqNSivI6QZAqx34
 VRvjJ5bvS7gdVc6Dbgt8HgEE1JRvyK2kYP55ONDzOsyv+QN3zazia5KbsIV6
 +zn/UPflcKmZiVPJg8i9oF8dv2H/pDqRUXXYKhukxVFi/EQ2bwq8EAB4Sfkl
 rc0kJLNRs2zR8Rm7gKs6nDN4KS7cD8xr/kf6b6mJOJK3ECzb078xV6xvBb5G
 GgbPDssZprxn5Een2wIvBJgxW6CkxabMEqk4aYBrSk7DecjOWVe0TQu1Po44
 kAVxZEFMZ+mYYwKtbJhkBY/mKni2fDoxPd0mAS73mqSspgmZgJYYz+YZdpGG
 HVW3sT6tbxE6V8XyN4Fnh71T8DmMah13TpzTYt0QqOBrmGzj/KbG8X2hskab
 Ap5lw5rnRGbkephLzjsFn30AD2IHypUThJJ9IRTnOmn5mg4XSxfwiwJ20ZCR
 jHKqebZ8BQ/Nx9MmqDdMQAoOPLg+rJRSgXaVEg3T3KZoejVNhat8JrKpSRk7
 rMxObPmzAL8jUPKZpgTMs+wey68ay7fpwLLR/qa1fMlr7gr4EwSK5WNOV2VE
 hgJ6O3HQ3ew6Ab8rRKrm26SMl18APp0l+ErAFZ2rov3YyGczyWv2WX65J5c/
 kVEiIYu3SofvmECxds/1sKQGx/l967DLKfg9hQjLpm9yeV/Ah7sFvh2BPvuv
 LJz4Rj7VYZdTy59SRY37qii6S5tNOaPcFgkxCY5KbMl1ydX3hsry+02yKRnl
 /y1Ezm4EkqzZMAj2Xl0WWLcFaAt+57CTdJjJD/cDfK0HhryEsdvGMiInnHYP
 +Dq79jU1aMBHukebLbPkuoTRVB24AbwsSx7rPYVIXzPKJh1OdA83Wxx4nYNQ
 DqGs7zJhtaFyva+KmoCPdI83duKq91iW0nn9vs0qV00hcqsSMNxry7cFzaaA
 5HqA1/T71KyiVctPqig3qV/vC/hcD2QJLWsWWvKfOgKbAn5qeV+qqPhmqqiz
 deJs8WVd6yyzabU6E7jJ8qUQSfcbfIlCPOuqKiH+gtKu72wby0sJWAqRcwH+
 mECCD+yqMLVbpGoKEUmHzxv4UlIalEZhjVosmKT5i2OtA1rLn2kVdbYE+IOS
 0uyknEp7HfUYVeQlQ65fRTZ3oxA5w2xUeaNpw18tEf99UFHWf/iLSLH8uQVf
 RyBARltrDaaEEPhbbI408jURmh/TeQWf10ZtF9iRu86mAAImSi4WeLklr5ad
 X/BCoOsMf/cdZ11HKJ/4HwdiMHyg0/2cYW8nG+X1IDefzxUI8P9ySP2KITj3
 4PMnpqT4ozZrP3bWxq7rUlmle0tsVv6xgWkg/Bg7IxPr/2K8Nbb/CTAAF12f
 5l7y6xMAAAAASUVORK5CYII=

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/sdcv.sgml > sdcv.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/sdcv.
	$(MAKE) DESTDIR=$(CURDIR)/debian/sdcv install
	rm -r $(CURDIR)/debian/sdcv/usr/share/man


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## sdcv 0.5.0~beta2

=== debian/changelog ===
sdcv (0.5.0~beta2-2) unstable; urgency=low

  * Explicitly build depend on g++ (>=4:4.8) for c++11 support.

 -- Michal Čihař <nijel@debian.org>  Thu, 31 Oct 2013 09:41:03 +0100

sdcv (0.5.0~beta2-1) unstable; urgency=low

  * Update watch file.
  * New upstream release (Closes: #721282).
    - All patches incorporated upstream. 
    - Should fix searching for frequent words (Closes: #680281).
  * Use canonical VCS URLs in debian/control.
  * Adjust debian/rules to new CMake based build system.

 -- Michal Čihař <nijel@debian.org>  Tue, 10 Sep 2013 09:17:02 +0200

sdcv (0.4.2-17) unstable; urgency=low

  * Bump standards to 3.9.4.
  * Use debhelper 9 and use hardening flags thanks to it.

 -- Michal Čihař <nijel@debian.org>  Mon, 17 Jun 2013 10:11:00 +0200

=== debian/control ===
Source: sdcv
Priority: optional
Section: utils
Maintainer: Michal Čihař <nijel@debian.org>
Build-Depends: debhelper (>= 9), 
    dpkg-dev (>= 1.16.1~),
    g++ (>=4:4.8),
    cmake,
    gettext, 
    zlib1g-dev, 
    pkg-config, 
    libglib2.0-dev, 
    libreadline-dev
Standards-Version: 3.9.4
Homepage: http://sdcv.sourceforge.net/
Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/sdcv/trunk/
Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/sdcv/trunk/

Package: sdcv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: StarDict Console Version
 sdcv is simple text-based utility for work with dictionaries in StarDict's
 format.
 .
 It supports command line interaction as well as interactive mode using
 readline.

=== debian/watch ===
version=3
opts=uversionmangle=s/-Source$//;s/-(beta)/~$1/ \
http://sf.net/sdcv/sdcv-(.*)\.tar\.bz2

## sdcv 0.5.0~beta4

=== CMakeLists.txt ===
--- 
+++ 
@@ -42,15 +42,13 @@
   src/utils.cpp 
   src/utils.hpp
 
-  src/lib/lib.cpp
-  src/lib/lib.hpp
-  src/lib/dictziplib.cpp
-  src/lib/dictziplib.hpp  
-  src/lib/distance.cpp 
-  src/lib/distance.h
-  src/lib/mapfile.hpp
-  src/lib/file.hpp
-  src/lib/file.cpp
+  src/stardict_lib.cpp
+  src/stardict_lib.hpp
+  src/dictziplib.cpp
+  src/dictziplib.hpp  
+  src/distance.cpp 
+  src/distance.hpp
+  src/mapfile.hpp
 )
 
 if (ENABLE_NLS)
@@ -96,7 +94,7 @@
 set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README.org")
 set(CPACK_PACKAGE_VERSION_MAJOR "0")
 set(CPACK_PACKAGE_VERSION_MINOR "5")
-set(CPACK_PACKAGE_VERSION_PATCH "0-beta2")
+set(CPACK_PACKAGE_VERSION_PATCH "0-beta4")
 
 set(sdcv_VERSION
 	"${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")

=== debian/changelog ===
sdcv (0.5.0~beta4-1) unstable; urgency=medium

  * New upstream release.

 -- Michal Čihař <nijel@debian.org>  Wed, 29 Oct 2014 10:39:08 +0100

sdcv (0.5.0~beta2-3) unstable; urgency=low

  * Adjust Vcs-Svn URL.
  * Bump standards to 3.9.6.
  * Fix debian/copyright.

 -- Michal Čihař <nijel@debian.org>  Mon, 06 Oct 2014 10:06:20 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
     pkg-config, 
     libglib2.0-dev, 
     libreadline-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: http://sdcv.sourceforge.net/
 Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/sdcv/trunk/
 Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/sdcv/trunk/

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_TESTS=ON

override_dh_auto_build:
	dh_auto_build -- all lang

override_dh_auto_test:
	mkdir -p tmphome/.stardict/dic
	# Exclude test which requires particullar dictionary
	export HOME=`pwd`/tmphome/; dh_auto_test -- ARGS+="-V -E t_utf8input"

%:
	dh $@

## sdcv 0.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,6 +13,8 @@
 cmake_minimum_required(VERSION 2.8 FATAL_ERROR)
 cmake_policy(VERSION 2.8)
 
+include("${CMAKE_CURRENT_SOURCE_DIR}/cmake/compiler.cmake")
+
 set(ZLIB_FIND_REQUIRED True)
 include(FindZLIB)
 
@@ -25,11 +27,15 @@
 		"make sure that you install it")
 endif()
 
-find_path(READLINE_INCLUDE_DIR readline/readline.h)
-find_library(READLINE_LIBRARY NAMES readline) 
-if (READLINE_INCLUDE_DIR AND READLINE_LIBRARY)
-  set(WITH_READLINE TRUE)
-endif ()
+set(WITH_READLINE True CACHE BOOL "Use readline library")
+
+if (WITH_READLINE)
+  find_path(READLINE_INCLUDE_DIR readline/readline.h)
+  find_library(READLINE_LIBRARY NAMES readline)
+  if (NOT (READLINE_INCLUDE_DIR AND READLINE_LIBRARY))
+    set(WITH_READLINE False CACHE FORCE)
+  endif ()
+endif (WITH_READLINE)
 
 option(ENABLE_NLS "Enable NLS support" True)
 
@@ -82,6 +88,7 @@
 include_directories(
 	${ZLIB_INCLUDE_DIR}
 	${GLIB2_INCLUDE_DIRS}
+	${READLINE_INCLUDE_DIR}
 	${CMAKE_CURRENT_SOURCE_DIR}/src/lib
 	${CMAKE_CURRENT_BINARY_DIR}
 )
@@ -94,12 +101,12 @@
 set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README.org")
 set(CPACK_PACKAGE_VERSION_MAJOR "0")
 set(CPACK_PACKAGE_VERSION_MINOR "5")
-set(CPACK_PACKAGE_VERSION_PATCH "0-beta4")
+set(CPACK_PACKAGE_VERSION_PATCH "2")
 
 set(sdcv_VERSION
 	"${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
 
-add_definitions(-DVERSION="${sdcv_VERSION}" -DHAVE_CONFIG_H "-std=c++11")
+add_definitions(-DVERSION="${sdcv_VERSION}" -DHAVE_CONFIG_H)
 
 add_executable(sdcv ${sdcv_SRCS})
 
@@ -109,40 +116,41 @@
   ${READLINE_LIBRARY}
 )
 if (ENABLE_NLS)
-set_directory_properties(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES "locale")
+  set_directory_properties(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES "locale")
 endif ()
 
 include(CPack)
 
-INSTALL(TARGETS sdcv DESTINATION "bin")
-INSTALL(FILES doc/sdcv.1 DESTINATION "share/man/man1")
-INSTALL(FILES doc/uk/sdcv.1 DESTINATION "share/man/uk/man1")
+install(TARGETS sdcv DESTINATION "bin")
+install(FILES doc/sdcv.1 DESTINATION "share/man/man1")
+install(FILES doc/uk/sdcv.1 DESTINATION "share/man/uk/man1")
 
 if (ENABLE_NLS)
-  INSTALL(DIRECTORY "${gettext_outDir}" DESTINATION "share")
+  install(DIRECTORY "${gettext_outDir}" DESTINATION "share")
 endif ()
 
 option(BUILD_TESTS "Enable automatic testing" False)
+
 if (BUILD_TESTS)
   find_program(SHELL_CMD NAMES sh bash
     DOC "Shell scripts interpretator command")
   message(STATUS "Build tests")
   enable_testing()# Force "make test" to works
 
-  get_target_property(sdcv_path sdcv LOCATION)
-  message(STATUS "path ${sdcv_path}")
-  string(REGEX REPLACE "\\$\\(.*\\)" "\${CTEST_CONFIGURATION_TYPE}"
-    sdcv_path "${sdcv_path}")
-
   macro(add_sdcv_shell_test test_name)
-    add_test(${test_name} "${SHELL_CMD}" "${CMAKE_CURRENT_SOURCE_DIR}/tests/${test_name}" "${sdcv_path}" "${CMAKE_CURRENT_SOURCE_DIR}/tests")
+    add_test(NAME ${test_name}
+      COMMAND "${SHELL_CMD}" "${CMAKE_CURRENT_SOURCE_DIR}/tests/${test_name}" $<TARGET_FILE:sdcv> "${CMAKE_CURRENT_SOURCE_DIR}/tests")
   endmacro()
 
   add_sdcv_shell_test(t_list)
   add_sdcv_shell_test(t_use)
+  add_sdcv_shell_test(t_only_data_dir)
+  add_sdcv_shell_test(t_synonyms)
+  add_sdcv_shell_test(t_json)
+  add_sdcv_shell_test(t_exact)
   add_sdcv_shell_test(t_interactive)
   add_sdcv_shell_test(t_utf8output)
   add_sdcv_shell_test(t_utf8input)
   add_sdcv_shell_test(t_datadir)
 
-endif ()
+endif (BUILD_TESTS)

=== debian/changelog ===
sdcv (0.5.2-2) unstable; urgency=medium

  * Add patch to fix FTBFS on big endian machines (Closes: #881221).

 -- Michal Čihař <nijel@debian.org>  Fri, 17 Nov 2017 15:58:22 +0100

sdcv (0.5.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards to 3.9.8.
  * Move packaging to Git, adjust Vcs urls.
  * Update upstream homepage.
  * Bump standards to 4.1.1.
  * Run full testsuite, add jq to build depends for that.

 -- Michal Čihař <nijel@debian.org>  Wed, 08 Nov 2017 14:35:09 +0100

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,16 @@
     dpkg-dev (>= 1.16.1~),
     g++ (>=4:4.8),
     cmake,
+    jq,
     gettext, 
     zlib1g-dev, 
     pkg-config, 
     libglib2.0-dev, 
     libreadline-dev
-Standards-Version: 3.9.6
-Homepage: http://sdcv.sourceforge.net/
-Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/sdcv/trunk/
-Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/sdcv/trunk/
+Standards-Version: 4.1.1
+Homepage: http://dushistov.github.io/sdcv/
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/sdcv.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/sdcv.git
 
 Package: sdcv
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -13,8 +13,8 @@
 
 override_dh_auto_test:
 	mkdir -p tmphome/.stardict/dic
-	# Exclude test which requires particullar dictionary
-	export HOME=`pwd`/tmphome/; dh_auto_test -- ARGS+="-V -E t_utf8input"
+	# Exclude json test as it's broken in both bash and dash
+	export HOME=`pwd`/tmphome/; dh_auto_test -- ARGS+="--output-on-failure"
 
 %:
 	dh $@

=== debian/watch ===
version=3
http://dushistov.github.io/sdcv/ https://github.com/Dushistov/sdcv/archive/v([0-9.]*).tar.gz

## sdcv 0.5.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,24 +1,18 @@
 project(sdcv)
 
-# Older versions have a different signature for CMAKE_MINIMUM_REQUIRED,
-# check it manually just to make sure
-if (${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION} LESS 2.8)
-  message(FATAL_ERROR "${PROJECT_NAME} requires at least CMake v2.8."
-		" You are running v${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}."
-		" Please upgrade." )
-endif(${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION} LESS 2.8)
+cmake_minimum_required(VERSION 3.5 FATAL_ERROR)
+cmake_policy(VERSION 3.5)
 
-# If we get this far, use the modern signature.  This will also cause newer
-# CMake versions to try to be backwards-compatible with the desired version
-cmake_minimum_required(VERSION 2.8 FATAL_ERROR)
-cmake_policy(VERSION 2.8)
+set(CMAKE_CXX_STANDARD 11)
+set(CMAKE_CXX_STANDARD_REQUIRED True)
+set(CMAKE_CXX_EXTENSIONS False)
 
 include("${CMAKE_CURRENT_SOURCE_DIR}/cmake/compiler.cmake")
 
 set(ZLIB_FIND_REQUIRED True)
 include(FindZLIB)
 
-set(GLIB2_REQ "'glib-2.0 >= 2.6.1'")
+set(GLIB2_REQ "'glib-2.0 >= 2.36'")
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")
 include("${CMAKE_CURRENT_SOURCE_DIR}/cmake/FindGLIB2.cmake")
 
@@ -101,7 +95,7 @@
 set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README.org")
 set(CPACK_PACKAGE_VERSION_MAJOR "0")
 set(CPACK_PACKAGE_VERSION_MINOR "5")
-set(CPACK_PACKAGE_VERSION_PATCH "2")
+set(CPACK_PACKAGE_VERSION_PATCH "5")
 
 set(sdcv_VERSION
 	"${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
@@ -152,5 +146,8 @@
   add_sdcv_shell_test(t_utf8output)
   add_sdcv_shell_test(t_utf8input)
   add_sdcv_shell_test(t_datadir)
+  add_sdcv_shell_test(t_return_code)
+  add_sdcv_shell_test(t_multiple_results)
+  add_sdcv_shell_test(t_newlines_in_ifo)
 
 endif (BUILD_TESTS)

=== debian/changelog ===
sdcv (0.5.5-3) unstable; urgency=medium

  * Add build-essential to autopkgtest deps.

 -- Andrey Rakhmatullin <wrar@debian.org>  Mon, 10 Feb 2025 16:26:39 +0500

sdcv (0.5.5-2) unstable; urgency=medium

  * Adopt the package (Closes: #1085826).
  * Switch to dh-sequence-zz-debputy.
  * Add autopkgtests.
  * Annotate B-D: jq with <!nocheck>.
  * Update debian/clean.

 -- Andrey Rakhmatullin <wrar@debian.org>  Sat, 08 Feb 2025 21:00:06 +0500

sdcv (0.5.5-1) unstable; urgency=medium

  * QA upload.
  * Orphan the package since the package maintainer has retired.
  * New upstream release. (Closes: #978132)
  * debian/watch: Properly monitor upstream GitHub tags.
  * debian/control: Bump Standards-Version to 4.7.0.
  * debian/control: Bump debhelper-compat to v13.
  * debian/patches: Dropped, not needed anymore.
  * debian/rules: Allow -fpermissive to circumvent FTBFS. See #1078404.
  * debian/rules: Disable parallel build to avoid flaky build failure.
  * debian/patches/:
    + 0001-Disable-t_list-test-due-to-need-of-installed-sdcv.patch:
      Add patch to disable t_list test, this test needs a working sdcv
      installation and thus is not suitable for post-build test.

  [ Jelmer Vernooĳ ]
  * Migrate repository from alioth to salsa.

 -- Boyuan Yang <byang@debian.org>  Tue, 22 Oct 2024 13:57:06 -0400

=== debian/control ===
Source: sdcv
Priority: optional
Section: utils
Maintainer: Andrey Rakhmatullin <wrar@debian.org>
Build-Depends:
 dh-sequence-zz-debputy,
 cmake,
 debhelper-compat (= 13),
 gettext,
 jq <!nocheck>,
 libglib2.0-dev,
 libreadline-dev,
 pkgconf,
 zlib1g-dev,
Standards-Version: 4.7.0
Homepage: http://dushistov.github.io/sdcv/
Vcs-Browser: https://salsa.debian.org/debian/sdcv
Vcs-Git: https://salsa.debian.org/debian/sdcv.git
Description: StarDict Console Version
 sdcv is simple text-based utility for work with dictionaries in StarDict's
 format.
 .
 It supports command line interaction as well as interactive mode using
 readline.

Package: sdcv
Architecture: any
Description: ${source:Synopsis}
 ${source:Extended-Description}

=== debian/rules ===
#!/usr/bin/make -f

# https://bugs.debian.org/1078404
export DEB_CXXFLAGS_MAINT_APPEND = -fpermissive

%:
	dh $@ --no-parallel

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_TESTS=ON

override_dh_auto_build:
	dh_auto_build -- all lang

override_dh_auto_test:
	mkdir -p tmphome/.stardict/dic
	# Exclude json test as it's broken in both bash and dash
	export HOME=`pwd`/tmphome/; dh_auto_test -- ARGS+="--output-on-failure"

=== debian/tests/control ===
Tests: ctest
Depends:
 @,
 build-essential,
 cmake,
 jq,
 libglib2.0-dev,
 libreadline-dev,
 pkgconf,
 zlib1g-dev,

=== debian/watch ===
version=4
opts="filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,searchmode=plain" \
 https://api.github.com/repos/Dushistov/sdcv/tags?per_page=100 \
 https://api.github.com/repos/Dushistov/sdcv/tarball/refs/tags/@ANY_VERSION@
